package br.org.senacagil;

import org.aopalliance.intercept.MethodInterceptor;
import org.aopalliance.intercept.MethodInvocation;

public class DebugInterceptor implements MethodInterceptor {
	public Object invoke(MethodInvocation invocation) throws Throwable {
		System.out.println("LOG3 --> Before: invocation=[" + invocation + "]");
		Object rval = invocation.proceed();
		System.out.println("LOG3 <-- Invocation returned\n");
		return rval;
	}
}
